dbXML API

## org.dbxml.core.filer
Class Paged.Page

    java.lang.Object
      |
      +--org.dbxml.core.filer.Paged.Page

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  Paged

public final class Paged.Page
extends java.lang.Object
implements java.lang.Comparable

Page

Constructor Summary
`Paged.Page()`
`Paged.Page(long pageNum)`

Method Summary
`void` `acquireReadLock()`
`void` `acquireWriteLock()`
`int` `compareTo(java.lang.Object o)`
`Key` `getKey()`
`Paged.PageHeader` `getPageHeader()`
`long` `getPageNum()`
`void` `read()`
`void` `releaseReadLock()`
`void` `releaseWriteLock()`
`void` `setKey(Key key)`
`void` `setPageNum(long pageNum)`
`void` `streamFrom(java.io.InputStream is)`
`void` `streamTo(java.io.OutputStream os)`
`void` `write()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Paged.Page

    public Paged.Page()

### Paged.Page

    public Paged.Page(long pageNum)
               throws java.io.IOException

Method Detail

### read

    public void read()
              throws java.io.IOException

### write

    public void write()
               throws java.io.IOException

### acquireReadLock

    public void acquireReadLock()

### releaseReadLock

    public void releaseReadLock()

### acquireWriteLock

    public void acquireWriteLock()

### releaseWriteLock

    public void releaseWriteLock()

### setPageNum

    public void setPageNum(long pageNum)

### getPageNum

    public long getPageNum()

### getPageHeader

    public Paged.PageHeader getPageHeader()

### setKey

    public void setKey(Key key)

### getKey

    public Key getKey()

### streamTo

    public void streamTo(java.io.OutputStream os)
                  throws java.io.IOException

### streamFrom

    public void streamFrom(java.io.InputStream is)
                    throws java.io.IOException

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved